Get datapoints by DSN

This API returns an array of datapoint objects in one of two formats depending on the paginated query parameter. If paginated=true, this API returns data in Format A, and heeds the per_page query parameter.

Format A

{
  "meta": {
    "previous_page": "1234abcd-1234-1234-1234-ab0000000001",
    "next_page": "1234abcd-1234-1234-1234-ab0000000005",
    "current_page_number": 1
  },
  "datapoints": [
    {
      "datapoint": {}
    },
    {
      "datapoint": {}
    }
  ]
}

If paginated=false or is not included in the request url, the API returns data in Format B, and heeds the limit query parameter.

Format B

[
  {
    "datapoint": {}
  },
  {
    "datapoint": {}
  }
]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique device serial number.

string
required

Device property name.

Query Params
string

Number of records when not paginated.

boolean

true or 1 means results will be paginated.

string

Max number of records per page.

boolean

For first page or next page requests, set to true.

string

ID of last datapoint on current page.

string

Id of first datapoint on current page.

string

Created on or after this date.

string

Created on or before this date.

Responses

401

Unauthorized

404

Not Found

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json